#!/bin/bash

# This is a wrapper around the aifs-cli binary that sets up the
# environment for the aifs-cli binary to run correctly

# Check if we are running in development mode and if so, use the
# aifs-cli binary from the source tree instead of the one installed
# by the package manager.

if [ "${_RESILIATE_DEVELOPMENT_MODE:-0}" -eq 1 ]; then
	echo "Resiliate (2.1.0 development mode)" 1>&2
	export RESILIATE_BINDIR="${_RESILIATE_PROJECT_ROOT}/crates/drivers/aifs-driver/scripts:${_RESILIATE_PROJECT_ROOT}/target/debug"
	export PATH="${RESILIATE_BINDIR}:${PATH}"
	echo "RESILIATE_BINDIR=${RESILIATE_BINDIR}" 1>&2
	exec aifs-cli "$@"
else
	exec /usr/lib/resiliate/libexec/aifs-cli "$@"
fi
